#ifndef GX2OSD_STATUSICON_HH
#define GX2OSD_STATUSICON_HH

#include <gtkmm/statusicon.h>
#include <gtkmm/menu.h>
#include <gtkmm/menuitem.h>
#include <boost/ptr_container/ptr_list.hpp>

namespace gx2osd
{

class status_icon
{
public:
    status_icon();
    ~status_icon();

private:
    void
    popup( guint button, guint32 activate_time );
    
    void
    config();

    Glib::RefPtr< Gtk::StatusIcon > status_icon_;
    Gtk::Menu popup_menu_;

    boost::ptr_list< Gtk::MenuItem > menu_items_;

};

}

#endif // GX2OSD_STATUSICON_HH
